
QGIS Application - Bug report #16219

SVG Fill symbol behavior does not seem consistent with other fill symbol layers

2017-02-22 06:49 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24129

Description

Symbolize a polygon layer with the SVG Fill symbol layer type

Under the SVG Fill level, you have a line symbol which actually has nothing to do with the SVG fill symbol. It's all about the feature

boundary symbolizing.

None of the other fill layer types (patterns fill, centroid fill, raster fill..) has this kind of configuration; the user actually needs to add a new

row of symbol layer using the outline-based ones.

I think it'd be more consistent to not automatically add boundary symbol layer type.

Just a wonder: what's the difference between a "SVG Fill" and a "Point pattern fill" based on SVG marker symbol layer?

Related issues:

Related to QGIS Application - Feature request # 7556: Symbol layers are a bit... Closed 2013-04-09

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-10-20 05:37 AM - Mars Sjoden

I was wondering the exact same thing.  I always found it an odd quirk.

#3 - 2018-10-23 02:46 PM - Harrissou Santanna

- Related to Feature request #7556: Symbol layers are a bit confusing added

#4 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
